'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = performLocalStorage;

var _lodash = require('lodash.uniq');

var _lodash2 = _interopRequireDefault(_lodash);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function performLocalStorage(action) {
  var config = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : { limit: 15 };

  var load = function load(resolve, reject) {
    try {
      var data = JSON.parse(localStorage.getItem(config.key)) || [];
      data = data.slice(0, config.limit);
      resolve({ data: { data: data } });
    } catch (reason) {
      reject(reason);
    }
  };

  var save = function save(resolve, reject) {
    try {
      var oldData = JSON.parse(localStorage.getItem(config.key)) || [];
      if (oldData.length >= 15) {
        oldData.pop();
      }
      oldData.unshift(config.data);
      localStorage.removeItem(config.key);
      var newData = (0, _lodash2.default)(oldData, 'id');
      localStorage.setItem(config.key, JSON.stringify(newData));
      resolve({ data: config.data });
    } catch (reason) {
      reject(reason);
    }
  };

  return new Promise(function (resolve, reject) {
    if (action === 'load') {
      return load(resolve, reject);
    }

    if (action === 'save') {
      return save(resolve, reject);
    }
  });
}